package com.lantone.qc.kernel.catalogue.beilun.leavehospital;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.DeathRecordDoc;
import com.lantone.qc.pub.model.doc.LeaveHospitalDoc;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

/**
 * @Description: 出院记录内容缺入院情况
 * @author: rengb
 * @time: 2020/3/10 13:53
 */
@Component
public class LEA0150 extends QCCatalogue {

    @Override
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        LeaveHospitalDoc leaveHospitalDoc = inputInfo.getLeaveHospitalDoc();
        if (leaveHospitalDoc == null) {
            status.set("0");
            return;
        }
        DeathRecordDoc deathRecordDoc = inputInfo.getDeathRecordDoc();
        if (deathRecordDoc != null) {
            status.set("0");
        } else {
            //已医学部任燕青确认， 只要出院小结里的入院情况有值即不报错
            String message = leaveHospitalDoc.getStructureMap().get("入院情况");
            if (StringUtil.isNotBlank(message)) {
                status.set("0");
            }
        }

    }

}